Package be.e_contract.ejsf.component.webauthn

# Class MethodExpressionAjaxBehaviorListener

java.lang.Object
be.e_contract.ejsf.component.webauthn.MethodExpressionAjaxBehaviorListener

All Implemented Interfaces:
  `Serializable`, `EventListener`, `javax.faces.event.AjaxBehaviorListener`, `javax.faces.event.BehaviorListener`, `javax.faces.event.FacesListener`

public class MethodExpressionAjaxBehaviorListener extends Object implements javax.faces.event.AjaxBehaviorListener, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MethodExpressionAjaxBehaviorListener()`
`MethodExpressionAjaxBehaviorListener(javax.el.MethodExpression methodExpression)`

## Method Summary

Modifier and Type
Method
Description
`void`
`processAjaxBehavior(javax.faces.event.AjaxBehaviorEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodExpressionAjaxBehaviorListener

public MethodExpressionAjaxBehaviorListener()

### MethodExpressionAjaxBehaviorListener

public MethodExpressionAjaxBehaviorListener(javax.el.MethodExpression methodExpression)

## Method Details

### processAjaxBehavior

public void processAjaxBehavior(javax.faces.event.AjaxBehaviorEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processAjaxBehavior` in interface `javax.faces.event.AjaxBehaviorListener`
Throws:
  `javax.faces.event.AbortProcessingException`